Package com.arms.api.patchnote.controller

## Class PatchnoteController

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController<PatchnoteService,​PatchnoteDTO,​PatchnoteEntity>
  - - com.arms.api.patchnote.controller.PatchnoteController

-     @Controller
      @RestController
      @RequestMapping("/anonymous/arms/patchnote")
      public class PatchnoteController
      extends TreeAbstractController<PatchnoteService,​PatchnoteDTO,​PatchnoteEntity>

- - ### Field Summary

    - ### Fields inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `chat, modelMapper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PatchnoteController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.web.servlet.ModelAndView` | `getPatchnoteList​(PatchnoteDTO patchnoteDTO, int pageIndex, int pageUnit)` |
    `void` | `initialize()` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `addNode, alterNode, alterNodeType, analyzeNode, getChildNode, getMonitor, getNode, getNodesWithoutRoot, getPaginatedChildNode, moveNode, removeNode, searchNode, sendMessage, setJsonDefaultSetting, setTreeEntity, setTreeService, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatchnoteController

          public PatchnoteController()

  - ### Method Detail

    - #### initialize

          @PostConstruct
          public void initialize()

    - #### getPatchnoteList

          @ResponseBody
          @GetMapping("/getPatchnoteList.do")
          public org.springframework.web.servlet.ModelAndView getPatchnoteList​(PatchnoteDTO patchnoteDTO,
                                                                               @RequestParam(defaultValue="1")
                                                                               int pageIndex,
                                                                               @RequestParam(defaultValue="3")
                                                                               int pageUnit)
                                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`